| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type | description |
|---|---|---|
| application/json | Iterable (JSON) |
GET /srv/projects/{usecase_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{ }
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | map of object (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
POST /srv/projects/{usecase_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "OPEN"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "ERROR",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "ERROR",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "STRICT"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "IVY"
},
"_profileID" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type | description |
|---|---|---|
| application/json | Configuration (JSON) |
GET /srv/projects/{usecase_id}/configuration
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"status" : "ERROR",
"profile_id" : "...",
"context" : "...",
"last_updated_time" : "...",
"indexes" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"warningMessages" : [ "...", "..." ],
"archives" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"errorMessages" : [ "...", "..." ]
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | string (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Iterable (JSON) |
POST /srv/projects/{usecase_id}/query
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{ }
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | string (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
POST /srv/projects/{usecase_id}/search
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
...
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| project_id | path | |||
| usecase_id | path | |||
| force | query | false | boolean |
| media type | data type | description |
|---|---|---|
| application/json | boolean (JSON) |
DELETE /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
GET /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "OPEN"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "OK",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "OK",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "LOOSE"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "NPM"
},
"_profileID" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | map of object (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
PUT /srv/projects/{usecase_id}/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "RESTRICTED"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "ERROR",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "OK",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "ERROR",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "IVY"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "NPM"
},
"_profileID" : "..."
}
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| project_id | path | |||
| usecase_id | path | |||
| force | query | false | boolean |
| media type | data type |
|---|---|
| application/json | string (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
POST /srv/projects/{usecase_id}/deleteFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "OPEN"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "ERROR",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "STRICT"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "STRICT"
},
"_profileID" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
PUT /srv/projects/{usecase_id}/forceUnlock/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "EMBARGOED"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "ERROR",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "OK",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "STRICT"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "STRICT"
},
"_profileID" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | RegisterFileSetRequest (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
POST /srv/projects/{usecase_id}/registerFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"fieldDefinitionPath" : "...",
"parentPath" : "...",
"clashOption" : "REPLACE_EXISTING",
"toSetAccess" : {
"_license" : "...",
"_policy" : "OPEN"
},
"streams" : [ {
"id" : "...",
"url" : "...",
"filename" : "..."
}, {
"id" : "...",
"url" : "...",
"filename" : "..."
} ],
"fieldName" : "...",
"attributes" : {
"property1" : { },
"property2" : { }
}
}
HTTP/1.1 201 Created
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "OPEN"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "ERROR",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "ERROR",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "IVY"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "IVY"
},
"_profileID" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | Access (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
PUT /srv/projects/{usecase_id}/setAccess/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"_license" : "...",
"_policy" : "EMBARGOED"
}
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "EMBARGOED"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "WARNING",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "ERROR",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "ERROR",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "COCOAPODS"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "IVY"
},
"_profileID" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| usecase_id | path |
| media type | data type |
|---|---|
| application/json | StepExecutionRequest (JSON) |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
POST /srv/projects/{usecase_id}/step/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"stepID" : "...",
"options" : {
"property1" : { },
"property2" : { }
}
}
HTTP/1.1 201 Created
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "OPEN"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "ERROR",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "OK",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "COCOAPODS"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "STRICT"
},
"_profileID" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| relationship_id | path | |
| usecase_id | path | |
| target_id | query | |
| target_ucd | query |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
DELETE /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "RESTRICTED"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "OK",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "ERROR",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "NPM"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "IVY"
},
"_profileID" : "..."
}
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| project_id | path | |||
| relationship_id | path | |||
| usecase_id | path | |||
| deep | query | false | boolean |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
GET /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | |
| relationship_id | path | |
| usecase_id | path | |
| target_id | query | |
| target_ucd | query |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) |
PUT /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_id" : "...",
"_relationships" : [ {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
}, {
"_targetID" : "...",
"_targetUCD" : "...",
"_relationshipName" : "..."
} ],
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_info" : {
"_lastEditInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
},
"_access" : {
"_license" : "...",
"_policy" : "RESTRICTED"
},
"_creationInfo" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_id" : "...",
"_operation" : "...",
"_info" : {
"_user" : { },
"_context" : { },
"_instant" : "..."
}
},
"_lifecycleInformation" : {
"_lastOperationStatus" : "WARNING",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
}, {
"warningMessages" : [ "...", "..." ],
"event" : "...",
"lastOperationStatus" : "WARNING",
"errorMessages" : [ "...", "..." ]
} ],
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_profileVersion" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "COCOAPODS"
},
"_version" : {
"stable" : true,
"major" : 12345,
"value" : "...",
"originalValue" : "...",
"build" : "...",
"suffixTokens" : [ "...", "..." ],
"patch" : 12345,
"minor" : 12345,
"type" : "COCOAPODS"
},
"_profileID" : "..."
}